/* Adaptor to use C++ API from C */


#include <BBApi.h>

#include "cpp_adaptor.h"




extern "C" void
_MakeStyleGradient(FARPROC f,HDC hdc, RECT*r, void*style_item, int with_border)
{
	(*(void (*)(HDC, RECT*, StyleItem*, int))f)
		(hdc, r, (StyleItem*)style_item, (with_border ? true : false));
}


extern "C" HFONT
_CreateStyleFont(FARPROC f, void* style_item)
{
	return (*(HFONT (*)(StyleItem*))f)((StyleItem*)style_item);
}


extern "C" void
_SnapWindowToEdge(FARPROC f, WINDOWPOS* pos, int threshold, int usescreensize)
{
	(*((void(*)(WINDOWPOS*,int,bool))f))
		(pos, threshold, (usescreensize ? true : false));
}




extern "C" COLORREF
_StyleItem_TextColor(void* style_item)
{
	return ((StyleItem*)style_item)->TextColor;
}


extern "C" COLORREF
_StyleItem_FontHeight(void* style_item)
{
	return ((StyleItem*)style_item)->FontHeight;
}




/* __END__ */
